Subject: Re: [PATCH net-next-2.6] can/sja1000: driver for PEAK PCAN PCI/PCIe cards

From: Wolfgang Grandegger <[email-masked]>
Date: Fri, 09 Sep 2011 17:20:18 +0200

Hi Oliver,

On 09/09/2011 04:42 PM, Oliver Hartkopp wrote:
> Hello Wolfgang,
> 
> many thanks for providing this patch!
> 
> On 09/08/11 22:07, Wolfgang Grandegger wrote:
> 
>> This patch adds the "peak_pci" driver for the PCAN PCI/PCIe cards (1, 2, 3
>> or 4 channels) from PEAK Systems (http://www.peak-system.com).
> 
> 
> Yes - that fits, but ...
> 
> 
>> +#define PEAK_PCI_VENDOR_ID	0x001C	/* The PCI device and vendor IDs */
>> +#define PEAK_PCI_DEVICE_ID	0x0001	/* for PCI / PCIe slot cards */
>> +#define PEAK_PCIE_DEVICE_ID	0x0002	/* for PCIExpress cards */
>> +
>> +static const u16 peak_pci_icr_masks[] = {0x02, 0x01, 0x40, 0x80};
>> +
>> +static DEFINE_PCI_DEVICE_TABLE(peak_pci_tbl) = {
>> +	{PEAK_PCI_VENDOR_ID, PEAK_PCI_DEVICE_ID, PCI_ANY_ID, PCI_ANY_ID,},
>> +	{PEAK_PCI_VENDOR_ID, PEAK_PCIE_DEVICE_ID, PCI_ANY_ID, PCI_ANY_ID,},
>> +	{0,}
>> +};
> 
> 
> The problem is the support of the PCAN ExpressCard (device ID 0x0002) here.
> 
> This commit
> 
>    https://lists.berlios.de/pipermail/socketcan-commit/2010-June/000814.html
> 
> should be reverted, as you can use the PCAN-ExpressCard (IPEH-00300[12]) only
> with a hardware patch, as we need some I2C initialisations to enable the CAN
> transceiver (and the funky status LEDs). See at:
> 
> http://anonscm.debian.org/gitweb/?p=collab-maint/peak-linux-driver.git;a=blob;f=driver/src/pcan_pciec.c;h=87ce0bda41aa0a6dda8284d48237b1ef7c678e11;hb=HEAD#l36

OK, I see, I will revert then. I already realized the I2C stuff for the
PCAN-ExpressCard. Obviously Thomas does not use that card but a PCIe
slot cards

> I'll also test your driver on Monday.

Thanks,

Wolfgang.